<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
                    http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.5.xsd">

    <changeSet id="create-table-project" author="hilman">
        <createTable tableName="project">
            <column name="id" type="BIGINT" autoIncrement="true">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="code" type="VARCHAR(255)">
                <constraints unique="true" nullable="false"/>
            </column>
            <column name="description" type="VARCHAR(255)" />
            <column name="created_by" type="VARCHAR(255)" />
            <column name="created_at" type="TIMESTAMP" defaultValueComputed="CURRENT_TIMESTAMP" />
            <column name="updated_at" type="TIMESTAMP" />
            <column name="status" type="BIGINT"/>

        </createTable>
            <addForeignKeyConstraint
                    baseTableName="project"
                    baseColumnNames="status"
                    constraintName="fk_project_status"
                    referencedTableName="status"
                    referencedColumnNames="id"
                    onUpdate="CASCADE"
                    onDelete="RESTRICT"/>

        <rollback>
            <dropTable tableName="app_user"/>
        </rollback>
    </changeSet>

</databaseChangeLog>
